## soapdenovo2 223+dfsg

=== sparsePregraph/Makefile ===
CC=             gcc
CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
DFLAGS=         
OBJS=		build_graph.o build_edge.o multi_threads.o \
			build_preArc.o pregraph_sparse.o io_func.o\
			global.o convert_soapdenovo.o
PROG=           
INCLUDES=	-I./inc
SUBDIRS=    . 
LIBPATH=	-L/usr/lib64
LIBS=       -pthread -lz -lstdc++ -L./inc
EXTRA_FLAGS=
VERSION =    1.0.3

ifdef 127mer
CFLAGS += -D_127MER_
PROG = pregraph_sparse_127mer.v$(VERSION)

else
CFLAGS += -D_63MER_
PROG = pregraph_sparse_63mer.v$(VERSION)
endif


BIT_ERR = 0
ifeq (,$(findstring $(shell uname -m), x86_64 ppc64 ia64))
BIT_ERR = 1
endif

ifneq (,$(findstring Linux,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam
endif

ifneq (,$(findstring Unix,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam -lrt
endif

ifneq (,$(findstring Darwin,$(shell uname)))
LIBS += -lbammac
endif

ifneq (,$(findstring $(shell uname -m), x86_64))
CFLAGS += -m64
endif

ifneq (,$(findstring $(shell uname -m), ia64))
CFLAGS += 
endif

ifneq (,$(findstring $(shell uname -m), ppc64))
CFLAGS += -mpowerpc64
endif

.SUFFIXES:.cpp .o

.cpp.o:
		@printf "Compiling $<...                             \r"; \
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"

all:		pregraph_sparse

.PHONY:all clean install

envTest:
		@test $(BIT_ERR) != 1 || sh -c 'echo "Fatal: 64bit CPU and Operating System required!";false;'

pregraph_sparse: clean	envTest $(OBJS)
		@printf "Linking...                                                       \r"
		@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
		@printf "$(PROG) compilation done.\n";

clean:
		@rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a *.so.* *.so *.dylib
		@printf "$(PROG) cleaning done.\n";

install:
		@mkdir -p ../bin; cp $(PROG) ../bin/
		@printf "$(PROG) installed at ../bin/$(PROG)\n"

=== standardPregraph/Makefile ===
####################################
#
# Use "make 127mer=1" to make 127mer version
# Use "make 63mer=1" to make 63mer version(default)
#
###################################

CC=             gcc
#GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
#GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
DFLAGS=         
OBJS=		arc.o attachPEinfo.o bubble.o check.o compactEdge.o \
		concatenateEdge.o connect.o contig.o cutTipPreGraph.o cutTip_graph.o \
		darray.o dfib.o dfibHeap.o fib.o fibHeap.o \
		hashFunction.o kmer.o lib.o loadGraph.o loadPath.o \
		loadPreGraph.o localAsm.o main.o map.o mem_manager.o \
		newhash.o node2edge.o orderContig.o output_contig.o output_pregraph.o \
		output_scaffold.o pregraph.o prlHashCtg.o prlHashReads.o prlRead2Ctg.o \
		prlRead2path.o prlReadFillGap.o read2scaf.o readInterval.o stack.o\
		readseq1by1.o scaffold.o searchPath.o seq.o splitReps.o \
		cutTip_graph2.o linearEdge.o kmerhash.o read2edge.o iterate.o
PROG=       SOAPdenovo-63mer
INCLUDES=   -Iinc
SUBDIRS=    .
LIBPATH=    -L/lib64 -L/usr/lib64 -L./inc
LIBS=       -pthread -lz -lm 
EXTRA_FLAGS=

BIT_ERR = 0
ifeq (,$(findstring $(shell uname -m), x86_64 ppc64 ia64))
BIT_ERR = 1
endif

ifdef 127mer
CFLAGS += -DMER127
PROG = SOAPdenovo-127mer
else
CFLAGS += -DMER63
PROG = SOAPdenovo-63mer
endif

ifneq (,$(findstring Linux,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam -lrt 
endif

ifneq (,$(findstring Unix,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam -lrt
endif

ifneq (,$(findstring Darwin,$(shell uname)))
LIBS += -lbammac
endif

ifneq (,$(findstring $(shell uname -m), x86_64))
CFLAGS += -m64
endif

ifneq (,$(findstring $(shell uname -m), ia64))
CFLAGS += 
endif

ifneq (,$(findstring $(shell uname -m), ppc64))
CFLAGS += -mpowerpc64
endif

.SUFFIXES:.c .o

.c.o:
		@printf "Compiling $<...                             \r"; \
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"

all:		clean SOAPdenovo

.PHONY:all clean install

envTest:
		@test $(BIT_ERR) != 1 || sh -c 'echo "Fatal: 64bit CPU and Operating System required!";false;'
#		@test $(GCCVERSIONMAJOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
#		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'

SOAPdenovo:	envTest $(OBJS)
		@printf "Linking...                                                \r"
		@$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
		@printf "$(PROG) compilation done.\n";

clean:
		@rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a *.so.* *.so *.dylib
		@printf "$(PROG) cleaning done.\n";

install:
		@mkdir -p ../bin; cp $(PROG) ../bin/
		@printf "$(PROG) installed at ../bin/$(PROG)\n"

=== debian/changelog ===
soapdenovo2 (223+dfsg-1) unstable; urgency=low

  * debian/copyright:
      remove .a files from upstream archive (Closes: #705139).
    debian/patches:
      update patches after lib removal
    debian/control:
      add bam and aio lib dependencies

 -- Olivier Sallou <osallou@debian.org>  Wed, 10 Apr 2013 17:27:22 +0200

soapdenovo2 (223-2) unstable; urgency=low

  * debian/copyright:
      Update copyright years and content,

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Feb 2013 13:02:55 +0100

soapdenovo2 (223-1) unstable; urgency=low

  * Initial release (Closes: #700160)

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Feb 2013 10:40:45 +0100

=== debian/control ===
Source: soapdenovo2
Section: science
Priority: optional
Build-Depends: debhelper (>= 8), hardening-includes, zlib1g-dev, libbam-dev, libaio-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/soap/soapdenovo2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/soap/soapdenovo2/
Standards-Version: 3.9.3
Homepage: http://soap.genomics.org.cn/soapdenovo.html

Package: soapdenovo2
Architecture: any-amd64 any-ppc64 any-ia64
#Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: short-read assembly method to build de novo draft assembly
 SOAPdenovo is a novel short-read assembly method that can build a de novo draft
 assembly for the human-sized genomes. The program is specially designed to
 assemble Illumina GA short reads.
 .
 It creates new opportunities for building reference
 sequences and carrying out accurate analyses of unexplored genomes in a cost
 effective way.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_FORTIFY=1

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
CXXFLAGS+=$(HARDENING_CXXFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	cd standardPregraph && make 63mer=1
	cd standardPregraph && make 127mer=1
#	cd sparsePregraph && make
	dh_auto_build

override_dh_install:
	dh_install
	cd debian/soapdenovo2/usr/bin/;rename 's/SOAPdenovo/soapdenovo2/' SOAP*

override_dh_clean:
	cd standardPregraph && make 63mer=1 clean && make 127mer=1 clean
	cd sparsePregraph && make clean
	dh_clean

## soapdenovo2 240%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

#override_dh_auto_build:
#	cd standardPregraph && make 63mer=1
#	cd standardPregraph && make 127mer=1
#	cd sparsePregraph && make
#	dh_auto_build

override_dh_install:
	dh_install
	cd debian/soapdenovo2/usr/bin/;rename 's/SOAPdenovo/soapdenovo2/' SOAP*

override_dh_clean:
	cd standardPregraph && make 63mer=1 clean && make 127mer=1 clean
	cd sparsePregraph && make clean
	dh_clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+dfsg//g" http://qa.debian.org/watch/sf.php/soapdenovo2/SOAPdenovo2-src-r([.\d]+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## soapdenovo2 240+dfsg

=== Makefile ===
CC = g++
ifdef debug
CFLAGS=         -O0 -g -fomit-frame-pointer
else
CFLAGS=         -O4 -fomit-frame-pointer
endif

SUBDIRS = sparsePregraph standardPregraph
PROG=       SOAPdenovo-63mer SOAPdenovo-127mer
INCLUDES=   -I./sparsePregraph/inc -I./standardPregraph/inc

LIBPATH=    -L/lib64 -L/usr/lib64 -L./sparsePregraph/inc -L./standardPregraph/inc
LIBS=       -pthread -lz -lm
EXTRA_FLAGS= 

BIT_ERR = 0
ifeq (,$(findstring $(shell uname -m), x86_64 ppc64 ia64))
BIT_ERR = 1
endif

ifneq (,$(findstring Linux,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam -lrt
endif

ifneq (,$(findstring Unix,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam -lrt
endif

ifneq (,$(findstring Darwin,$(shell uname)))
LIBS += -lbammac
endif

ifneq (,$(findstring $(shell uname -m), x86_64))
CFLAGS += -m64
endif

ifneq (,$(findstring $(shell uname -m), ia64))
CFLAGS +=
endif

ifneq (,$(findstring $(shell uname -m), ppc64))
CFLAGS += -mpowerpc64
endif


all: SOAPdenovo-63mer SOAPdenovo-127mer

ifdef debug
SOAPdenovo-63mer:
	@cd sparsePregraph;make 63mer=1 debug=1;cd ..;
	@cd standardPregraph;make 63mer=1 debug=1;cd ..;
	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
SOAPdenovo-127mer:
	@cd sparsePregraph;make 127mer=1 debug=1;cd ..;
	@cd standardPregraph;make 127mer=1 debug=1;cd ..;
	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
clean:
	@cd sparsePregraph;make clean;cd ..;
	@cd standardPregraph;make clean;cd ..;
	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
else
SOAPdenovo-63mer:
	@cd sparsePregraph;make 63mer=1;cd ..;
	@cd standardPregraph;make 63mer=1;cd ..;
	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
SOAPdenovo-127mer:
	@cd sparsePregraph;make 127mer=1;cd ..;
	@cd standardPregraph;make 127mer=1;cd ..;
	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
clean:
	@cd sparsePregraph;make clean;cd ..;
	@cd standardPregraph;make clean;cd ..;
	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
endif

=== sparsePregraph/Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
-CC=             gcc
+CC=            g++ # /opt/blc/gcc-4.5.0/bin/gcc #gcc
+ifdef debug
+CFLAGS=         -O0 -g -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+else
 CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+endif
+
 DFLAGS=         
 OBJS=		build_graph.o build_edge.o multi_threads.o \
 			build_preArc.o pregraph_sparse.o io_func.o\
@@ -8,7 +13,7 @@
 INCLUDES=	-I./inc
 SUBDIRS=    . 
 LIBPATH=	-L/usr/lib64
-LIBS=       -pthread -lz -lstdc++ -L./inc
+LIBS=       -pthread -lz -L./inc
 EXTRA_FLAGS=
 VERSION =    1.0.3
 
@@ -59,7 +64,8 @@
 		@printf "Compiling $<...                             \r"; \
 		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
 
-all:		pregraph_sparse
+all:		clean $(OBJS) 
+#pregraph_sparse
 
 .PHONY:all clean install
 
@@ -68,7 +74,7 @@
 
 pregraph_sparse: clean	envTest $(OBJS)
 		@printf "Linking...                                                       \r"
-		@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
+		#@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
 		@printf "$(PROG) compilation done.\n";
 
 clean:
@@ -76,5 +82,5 @@
 		@printf "$(PROG) cleaning done.\n";
 
 install:
-		@mkdir -p ../bin; cp $(PROG) ../bin/
+		@cp $(PROG) ../bin/
 		@printf "$(PROG) installed at ../bin/$(PROG)\n"

=== standardPregraph/Makefile ===
--- 
+++ 
@@ -6,9 +6,13 @@
 ###################################
 
 CC=             gcc
-#GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
-#GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
+GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
+GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
+ifdef debug
+CFLAGS=         -O0 -g -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+else
 CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+endif
 DFLAGS=         
 OBJS=		arc.o attachPEinfo.o bubble.o check.o compactEdge.o \
 		concatenateEdge.o connect.o contig.o cutTipPreGraph.o cutTip_graph.o \
@@ -72,14 +76,16 @@
 		@printf "Compiling $<...                             \r"; \
 		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
 
-all:		clean SOAPdenovo
+all:		clean $(OBJS)
+
+#SOAPdenovo
 
 .PHONY:all clean install
 
 envTest:
 		@test $(BIT_ERR) != 1 || sh -c 'echo "Fatal: 64bit CPU and Operating System required!";false;'
-#		@test $(GCCVERSIONMAJOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
-#		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
+		@test $(GCCVERSIONMAJOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
+		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
 
 SOAPdenovo:	envTest $(OBJS)
 		@printf "Linking...                                                \r"
@@ -91,5 +97,5 @@
 		@printf "$(PROG) cleaning done.\n";
 
 install:
-		@mkdir -p ../bin; cp $(PROG) ../bin/
+		@cp $(PROG) ../bin/
 		@printf "$(PROG) installed at ../bin/$(PROG)\n"

=== debian/changelog ===
soapdenovo2 (240+dfsg-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Migrate package to Git.
  * Make build reproducible.
    - Use fixed build time and date.
  * Remove duplicated license in d/copyright.
  * Bump Standards-Version.
  
  [ Andreas Tille ]
  * Better hardening
  * d/copyright: remove duplicated paragraph

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 27 May 2016 20:24:56 +0000

soapdenovo2 (240+dfsg-2) unstable; urgency=medium

  * Fix watch file to not report "-mac"
  * cme fix dpkg-control
  * d/copyright:
      - re-order to fit DEP5
      - do not mention files (bam.h) which are not part of the source)
  * d/control+d/rules: hardening-includes is obsolete

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 17:11:27 +0200

soapdenovo2 (240+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 27 Jun 2013 16:23:26 +0200

=== debian/control ===
Source: soapdenovo2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               libbam-dev,
               libaio-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/soapdenovo2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/soapdenovo2.git
Homepage: http://soap.genomics.org.cn/soapdenovo.html

Package: soapdenovo2
Architecture: any-amd64 any-ppc64 any-ia64
#Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         zlib1g
Description: short-read assembly method to build de novo draft assembly
 SOAPdenovo is a novel short-read assembly method that can build a de novo draft
 assembly for the human-sized genomes. The program is specially designed to
 assemble Illumina GA short reads.
 .
 It creates new opportunities for building reference
 sequences and carrying out accurate analyses of unexplored genomes in a cost
 effective way.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+BUILD_DATE := $(shell TZ=UTC LC_ALL=C dpkg-parsechangelog | grep Date: | cut -d' ' -f2-7)
+export TZ=UTC
+export LC_ALL=C
+export BDATE=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%b %d %Y')
+export BTIME=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%T')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 #override_dh_auto_build:
 #	cd standardPregraph && make 63mer=1

## soapdenovo2 240+dfsg1

=== debian/changelog ===
soapdenovo2 (240+dfsg1-2) unstable; urgency=medium

  * No parallel build possible (which was enabled by debhelper 10 in the
    last change)
    Closes: #847171

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2016 09:32:06 +0100

soapdenovo2 (240+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release (despite the version number remained
    the same after moving from SourceForge to Github there were some
    bugfix code changes.  These are now incorporated in the dfsg1 since
    I have no better idea how to invent a new upstream version number.
  * Upstream moved to Github
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 18:01:24 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/aquaskyline/SOAPdenovo2/releases .*/archive/r(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## soapdenovo2 241%2Bdfsg

=== debian/changelog ===
soapdenovo2 (241+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * d/rules: use SOURCE_DATE_EPOCH to determine the current package timestamp

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 12 Jun 2018 17:35:14 +0200

soapdenovo2 (241+dfsg-2) unstable; urgency=medium

  * debian/upstream/metadata:
    - Added references to registries.
    - yamllint clean

 -- Steffen Moeller <moeller@debian.org>  Wed, 06 Sep 2017 23:44:17 +0200

soapdenovo2 (241+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Standards-Version: 4.1.0 (no changes needed)
  * Build-Depends: rename
    Closes: #874425
  * Remove another binary from source
  * Symlinks to manpages

 -- Andreas Tille <tille@debian.org>  Wed, 06 Sep 2017 10:55:51 +0200

## soapdenovo2 241+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
+MAKEFLAGS += --no-print-directory
 CC = g++
 ifdef debug
 CFLAGS=         -O0 -g -fomit-frame-pointer
 else
-CFLAGS=         -O4 -fomit-frame-pointer
+CFLAGS=         -O3 -fomit-frame-pointer
 endif
 
-SUBDIRS = sparsePregraph standardPregraph
-PROG=       SOAPdenovo-63mer SOAPdenovo-127mer
+SUBDIRS = sparsePregraph standardPregraph fusion
+PROG=       SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion
 INCLUDES=   -I./sparsePregraph/inc -I./standardPregraph/inc
 
 LIBPATH=    -L/lib64 -L/usr/lib64 -L./sparsePregraph/inc -L./standardPregraph/inc
@@ -23,15 +24,6 @@
 LIBS += -lbam -lrt
 endif
 
-ifneq (,$(findstring Unix,$(shell uname)))
-EXTRA_FLAGS += -Wl,--hash-style=both
-LIBS += -lbam -lrt
-endif
-
-ifneq (,$(findstring Darwin,$(shell uname)))
-LIBS += -lbammac
-endif
-
 ifneq (,$(findstring $(shell uname -m), x86_64))
 CFLAGS += -m64
 endif
@@ -45,7 +37,10 @@
 endif
 
 
-all: SOAPdenovo-63mer SOAPdenovo-127mer
+all: SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion 
+
+SOAPdenovo-fusion:
+	@cd fusion;make;cp SOAPdenovo-fusion ../;cd ..;
 
 ifdef debug
 SOAPdenovo-63mer:
@@ -56,10 +51,6 @@
 	@cd sparsePregraph;make 127mer=1 debug=1;cd ..;
 	@cd standardPregraph;make 127mer=1 debug=1;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
-clean:
-	@cd sparsePregraph;make clean;cd ..;
-	@cd standardPregraph;make clean;cd ..;
-	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
 else
 SOAPdenovo-63mer:
 	@cd sparsePregraph;make 63mer=1;cd ..;
@@ -69,8 +60,10 @@
 	@cd sparsePregraph;make 127mer=1;cd ..;
 	@cd standardPregraph;make 127mer=1;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
+endif
+
 clean:
 	@cd sparsePregraph;make clean;cd ..;
 	@cd standardPregraph;make clean;cd ..;
-	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
-endif
+	@cd fusion;make clean;cd ..;
+	@rm -f SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion

=== sparsePregraph/Makefile ===
CC=            g++
ifdef debug
CFLAGS=         -O0 -g -fomit-frame-pointer
else
CFLAGS=         -O3 -fomit-frame-pointer -w
endif

DFLAGS=         
OBJS=		build_graph.o build_edge.o multi_threads.o \
			build_preArc.o pregraph_sparse.o io_func.o\
			global.o convert_soapdenovo.o
PROG=           
INCLUDES=	-I./inc
SUBDIRS=    . 
LIBPATH=	-L/usr/lib64
LIBS=       -pthread -lz -L./inc
EXTRA_FLAGS=
VERSION =    1.0.3

ifdef 127mer
CFLAGS += -D_127MER_
PROG = pregraph_sparse_127mer.v$(VERSION)

else
CFLAGS += -D_63MER_
PROG = pregraph_sparse_63mer.v$(VERSION)
endif


BIT_ERR = 0
ifeq (,$(findstring $(shell uname -m), x86_64 ppc64 ia64))
BIT_ERR = 1
endif

ifneq (,$(findstring Linux,$(shell uname)))
EXTRA_FLAGS += -Wl,--hash-style=both
LIBS += -lbam
endif

ifneq (,$(findstring $(shell uname -m), x86_64))
CFLAGS += -m64
endif

ifneq (,$(findstring $(shell uname -m), ia64))
CFLAGS += 
endif

ifneq (,$(findstring $(shell uname -m), ppc64))
CFLAGS += -mpowerpc64
endif

.SUFFIXES:.cpp .o

.cpp.o:
		@printf "Compiling $<...                               \r"
		@$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"

all:		$(OBJS) 
		@printf "$(PROG) objects generated.                    \n"
#pregraph_sparse

.PHONY:all clean

envTest:
		@test $(BIT_ERR) != 1 || sh -c 'echo "Fatal: 64bit CPU and Operating System required!";false;'

pregraph_sparse: clean envTest $(OBJS)
		@printf "Linking...                                     \r"
		@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
		@printf "$(PROG) compilation done.                      \n"

clean:
		@rm -fr gmon.out *.o a.out $(PROG)
		@printf "$(PROG) cleaning done.                         \n"

=== standardPregraph/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
 GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+CFLAGS=         -O0 -g -fomit-frame-pointer #-msse4.2
 else
-CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+CFLAGS=         -O3 -fomit-frame-pointer -w #-msse4.2
 endif
 DFLAGS=         
 OBJS=		arc.o attachPEinfo.o bubble.o check.o compactEdge.o \
@@ -49,15 +49,6 @@
 LIBS += -lbam -lrt 
 endif
 
-ifneq (,$(findstring Unix,$(shell uname)))
-EXTRA_FLAGS += -Wl,--hash-style=both
-LIBS += -lbam -lrt
-endif
-
-ifneq (,$(findstring Darwin,$(shell uname)))
-LIBS += -lbammac
-endif
-
 ifneq (,$(findstring $(shell uname -m), x86_64))
 CFLAGS += -m64
 endif
@@ -73,12 +64,11 @@
 .SUFFIXES:.c .o
 
 .c.o:
-		@printf "Compiling $<...                             \r"; \
-		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
+		@printf "Compiling $<...                                     \r"
+		@$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
 
-all:		clean $(OBJS)
-
-#SOAPdenovo
+all:		$(OBJS)
+		@printf "$(PROG) objects generated.                          \n"
 
 .PHONY:all clean install
 
@@ -88,14 +78,10 @@
 		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
 
 SOAPdenovo:	envTest $(OBJS)
-		@printf "Linking...                                                \r"
+		@printf "Linking...                                          \r"
 		@$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
-		@printf "$(PROG) compilation done.\n";
+		@printf "$(PROG) compilation done.                           \n"
 
 clean:
 		@rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a *.so.* *.so *.dylib
-		@printf "$(PROG) cleaning done.\n";
-
-install:
-		@cp $(PROG) ../bin/
-		@printf "$(PROG) installed at ../bin/$(PROG)\n"
+		@printf "$(PROG) cleaning done.                              \n"

=== debian/changelog ===
soapdenovo2 (241+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                zlib1g-dev,
                libbam-dev,
-               libaio-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/soapdenovo2.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/soapdenovo2.git
+               libaio-dev,
+               rename
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/soapdenovo2
+Vcs-Git: https://salsa.debian.org/med-team/soapdenovo2.git
 Homepage: http://soap.genomics.org.cn/soapdenovo.html
 
 Package: soapdenovo2

## soapdenovo2 242%2Bdfsg

=== debian/changelog ===
soapdenovo2 (242+dfsg-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 11:03:05 +0200

soapdenovo2 (242+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Refresh patch
  * Fix gcc-10 FTBFS
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 27 Oct 2020 20:13:24 +0530

## soapdenovo2 242+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 MAKEFLAGS += --no-print-directory
 CC = g++
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer
+CFLAGS=         -O0 -g -fomit-frame-pointer -DDEBUG
 else
 CFLAGS=         -O3 -fomit-frame-pointer
 endif
@@ -10,7 +10,7 @@
 PROG=       SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion
 INCLUDES=   -I./sparsePregraph/inc -I./standardPregraph/inc
 
-LIBPATH=    -L/lib64 -L/usr/lib64 -L./sparsePregraph/inc -L./standardPregraph/inc
+LIBPATH=    -L./sparsePregraph/inc -L./standardPregraph/inc -L/lib64 -L/usr/lib64
 LIBS=       -pthread -lz -lm
 EXTRA_FLAGS= 
 
@@ -44,21 +44,21 @@
 
 ifdef debug
 SOAPdenovo-63mer:
-	@cd sparsePregraph;make 63mer=1 debug=1;cd ..;
-	@cd standardPregraph;make 63mer=1 debug=1;cd ..;
+	@cd sparsePregraph;make 63mer=1 debug=1 clean all;cd ..;
+	@cd standardPregraph;make 63mer=1 debug=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
 SOAPdenovo-127mer:
-	@cd sparsePregraph;make 127mer=1 debug=1;cd ..;
-	@cd standardPregraph;make 127mer=1 debug=1;cd ..;
+	@cd sparsePregraph;make 127mer=1 debug=1 clean all;cd ..;
+	@cd standardPregraph;make 127mer=1 debug=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
 else
 SOAPdenovo-63mer:
-	@cd sparsePregraph;make 63mer=1;cd ..;
-	@cd standardPregraph;make 63mer=1;cd ..;
+	@cd sparsePregraph;make 63mer=1 clean all;cd ..;
+	@cd standardPregraph;make 63mer=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
 SOAPdenovo-127mer:
-	@cd sparsePregraph;make 127mer=1;cd ..;
-	@cd standardPregraph;make 127mer=1;cd ..;
+	@cd sparsePregraph;make 127mer=1 clean all;cd ..;
+	@cd standardPregraph;make 127mer=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
 endif

=== fusion/Makefile ===
# Generated automatically from Makefile.in by configure.
SHELL = /bin/sh

exec_prefix = .
bindir = $(exec_prefix)/bin
libdir = 
mandir = 

CC = gcc
CCOPT = -O3 -fprefetch-loop-arrays -funroll-loops -fomit-frame-pointer -w 
LIBS = -lm -lpthread
INCDIRS = -Iinc/
CFLAGS = ${CCOPT} ${INCDIRS}

all: SOAPdenovo-fusion
SRCS1 = searchPath.c scaffold.c check.c seq.c bundle.c potential.c\
	loadGraph.c mem_manager.c attachPEinfo.c newhash.c\
	output_scaffold.c orderContig.c connect.c hashFunction.c\
	readseq1by1.c fib.c fibHeap.c stack.c kmer.c prepare.c
OBJS1 = searchPath.o scaffold.o check.o seq.o bundle.o potential.o\
	loadGraph.o mem_manager.o attachPEinfo.o newhash.o\
	output_scaffold.o orderContig.o connect.o hashFunction.o\
	readseq1by1.o fib.o fibHeap.o stack.o kmer.o prepare.o

SRCS2 = prlHashCtg.c prlRead2Ctg.c map.c localAsm.c\
	lib.c darray.c prlReadFillGap.c read2scaf.c
OBJS2 = prlHashCtg.o prlRead2Ctg.o map.o localAsm.o\
	lib.o darray.o prlReadFillGap.o read2scaf.o


SRCS3 = main.c 
OBJS3 = main.o

.c.o :
	@printf "Compiling $<...                              \r"
	@$(CC) $(CFLAGS) -c $< 

SOAPdenovo-fusion:  $(OBJS1) $(OBJS2) $(OBJS3)
	@printf "Making $@...                                 \r"
	@$(CC) $(CCOPT) -o $@ $^ $(LIBS)
	@printf "$@ compilation done.\n";

clean:
	@/bin/rm -f *.o SOAPdenovo-fusion
	@printf "SOAPdenovo-fusion cleaning done.             \n"

=== sparsePregraph/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=            g++
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer
+CFLAGS=         -O0 -g -fomit-frame-pointer -DDEBUG
 else
 CFLAGS=         -O3 -fomit-frame-pointer -w
 endif
@@ -12,8 +12,8 @@
 PROG=           
 INCLUDES=	-I./inc
 SUBDIRS=    . 
-LIBPATH=	-L/usr/lib64
-LIBS=       -pthread -lz -L./inc
+LIBPATH=	-L./inc -L/usr/lib64
+LIBS=       -pthread -lz
 EXTRA_FLAGS=
 VERSION =    1.0.3

=== standardPregraph/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
 GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer #-msse4.2
+CFLAGS=         -O0 -g -fomit-frame-pointer -DDEBUG#-msse4.2
 else
 CFLAGS=         -O3 -fomit-frame-pointer -w #-msse4.2
 endif
@@ -27,7 +27,7 @@
 PROG=       SOAPdenovo-63mer
 INCLUDES=   -Iinc
 SUBDIRS=    .
-LIBPATH=    -L/lib64 -L/usr/lib64 -L./inc
+LIBPATH=    -L./inc -L/lib64 -L/usr/lib64
 LIBS=       -pthread -lz -lm 
 EXTRA_FLAGS=

=== debian/changelog ===
soapdenovo2 (242+dfsg-5) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097909)
  * fix-deps.patch: new: stabilise make rules ordering. (Closes: #1105578)
  * reproducible patch: normalise Last-Update timestamp.
  * d/watch: bump to watch file version 5.
  * d/u/metadata: locate upstream repository.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 19:53:20 +0200

soapdenovo2 (242+dfsg-4) unstable; urgency=medium

  * Team upload.
  * gcc-14.patch: new: fix a lot of issues caught by gcc 14. (Closes: #1075524)
  * d/control: declare compliance to standards version 4.7.0.
  * d/salsa-ci.yml: skip test build on i386.
    This architecture is not declared supported by soapdenovo2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 19:08:09 +0200

soapdenovo2 (242+dfsg-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 21:06:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbam-dev,
                libaio-dev,
                rename
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/soapdenovo2
 Vcs-Git: https://salsa.debian.org/med-team/soapdenovo2.git
 Homepage: http://soap.genomics.org.cn/soapdenovo.html

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,15 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-BUILD_DATE := $(shell TZ=UTC LC_ALL=C dpkg-parsechangelog | grep Date: | cut -d' ' -f2-7)
-export TZ=UTC
-export LC_ALL=C
-export BDATE=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%b %d %Y')
-export BTIME=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%T')
+
+include /usr/share/dpkg/pkg-info.mk
+export BDATE=$(shell TZ=UTC LC_ALL=C date --date="@$(SOURCE_DATE_EPOCH)" +'%b %d %Y')
+export BTIME=$(shell TZ=UTC LC_ALL=C date --date="@$(SOURCE_DATE_EPOCH)" +'%T')
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 #override_dh_auto_build:
 #	cd standardPregraph && make 63mer=1

=== debian/watch ===
Version: 5

Source: https://github.com/aquaskyline/SOAPdenovo2/tags
Matching-Pattern: .*/r(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
Dversionmangle: auto
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Repacksuffix: +dfsg
